#
# spec file for package tkimg (Version 1.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcl tcl-devel tcpd texinfo timezone tk tk-devel unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           tkimg
BuildRequires:  libpng-devel libtiff-devel tk-devel xorg-x11-devel
Url:            http://sourceforge.net/projects/tkimg
Summary:        More Image Formats for Tk
Version:        1.3
Release:        69
License:        BSD 3-Clause
Group:          Development/Libraries/Tcl
Source0:        %{name}%{version}.tar.bz2
Patch0:         %name.patch
Patch1:         %name-syslibs.patch
Patch2:         %name-makedeps.patch
Patch3:         %name-warnings.patch
Patch4:         tkimg-CVE-2008-0553.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains a collection of image format handlers for the Tk
photo image type, and a new image type, pixmaps.

The provided format handlers include bmp, gif, ico, jpeg, pcx, png,
ppm, ps, sgi, sun, tga, tiff, xbm, and xpm.



Authors:
--------
    Jan Nijtmans <jan.nijtmans@xs4all.nl>
    Andreas Kupries <akupries@shaw.ca>

%debug_package
%prep
%setup -q -n %name%{version}
%patch0
%patch1
%patch2
%patch3
%patch4

%build
for f in $(find -type d); do
	pushd $f
	test -f configure.in && autoconf --force
	popd
done
export CFLAGS="$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing "
./configure \
        --prefix=%_prefix \
        --libdir=%_libdir \
        --mandir=%_mandir \
        --with-tcl=%_libdir \
        --with-tk=%_libdir
make CFLAGS="$CFLAGS"
make test

%install
mkdir -p %buildroot%tclscriptdir
make install DESTDIR=%buildroot INSTALL_ROOT=%buildroot
mv %buildroot%_libdir/Img%version/lib* %buildroot%_libdir
mv %buildroot%_libdir/Img%version %buildroot%tclscriptdir
sed -i 's/\[file join $dir \([^]]*\)\]/\1/' \
	%buildroot%tclscriptdir/Img%version/pkgIndex.tcl
mkdir -p %buildroot/%_mandir/mann
pushd doc/man
for f in *.n; do
	fgrep -v ".so man.macros" $f > %buildroot/%_mandir/mann/$f
done
popd

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%doc ANNOUNCE ChangeLog README Reorganization.Notes.txt
%doc changes license.terms doc/html demo
%doc %_mandir/*/*
%tclscriptdir/*
%_libdir/lib*
%_libdir/tkimgConfig.sh
%_includedir/*

%changelog
* Wed May 21 2008 - max@suse.de
- Fix a crash with malformed GIF images (bnc#386009, CVE-2008-0553)
* Mon Feb 20 2006 - max@suse.de
- Fixed some serious warnings (#152208).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - max@suse.de
- Disabled parallel make.
* Tue Dec 13 2005 - max@suse.de
- Fixed a typo in tcl.m4 that broke configure with bash 3.1.
* Wed Jul 27 2005 - max@suse.de
- Moved shared libs to libdir and script library to /usr/share/tcl.
* Wed Jul 06 2005 - max@suse.de
- Added missing includes to allow lightweight buffer overflow
  checking.
* Thu Jun 02 2005 - ro@suse.de
- try to fix makefile deps
* Wed Apr 27 2005 - max@suse.de
- Update to the final 1.3 version.
* Fri Nov 12 2004 - ro@suse.de
- fixed file list
* Wed Jul 28 2004 - max@suse.de
- Added tkimg-syslibs.patch to use the system-supplied versions of
  libtiff, libjpeg, and libpng (Bug #43008).
* Mon Mar 01 2004 - max@suse.de
- New package: tkimg-1.3rc2
- An image format extension for Tk.
